#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-test
version:              0.14.0.2
visibility:           public
id:                   lsp-test-0.14.0.2-A8icf1FVbsyUfyUulN4GF
key:                  lsp-test-0.14.0.2-A8icf1FVbsyUfyUulN4GF
license:              BSD-3-Clause
copyright:            2021 Luke Lau
maintainer:           luke_lau@icloud.com
author:               Luke Lau
homepage:
    https://github.com/haskell/lsp/blob/master/lsp-test/README.md

synopsis:             Functional test framework for LSP servers.
description:
    A test framework for writing tests against
    <https://microsoft.github.io/language-server-protocol/ Language Server Protocol servers>.
    @Language.LSP.Test@ launches your server as a subprocess and allows you to simulate a session
    down to the wire.
    To see examples of it in action, check out <https://github.com/haskell/haskell-ide-engine haskell-ide-engine>,
    <https://github.com/haskell/haskell-language-server haskell-language-server> and
    <https://github.com/digital-asset/ghcide ghcide>.

category:             Testing
abi:                  84a492e7fc64d64a6ca9ee85dc8cf645
exposed:              True
exposed-modules:
    Control.Applicative.Combinators from parser-combinators-1.3.0-G0J7GFw9FY9Cgw8HeD2oK5:Control.Applicative.Combinators,
    Language.LSP.Test,
    Language.LSP.Types from lsp-types-1.4.0.1-GcHyYpVAiYL8th3rJAiAjx:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-GcHyYpVAiYL8th3rJAiAjx:Language.LSP.Types.Capabilities

hidden-modules:
    Language.LSP.Test.Compat Language.LSP.Test.Decoding
    Language.LSP.Test.Exceptions Language.LSP.Test.Files
    Language.LSP.Test.Parsing Language.LSP.Test.Server
    Language.LSP.Test.Session

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-test-0.14.0.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-test-0.14.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp-test0.14.0
hs-libraries:         HSlsp-test-0.14.0.2-A8icf1FVbsyUfyUulN4GF
depends:
    Diff-0.4.1-KH79hRvE4Nv5dxZVhuTInA
    Glob-0.10.2-Evy0f7mADV06ArdWzCp3YP
    aeson-2.1.2.1-7PAgiODdTr9Ups5Xz74Et
    aeson-pretty-0.8.10-HcnHEOAx9GdIraXRTCDpJP
    ansi-terminal-0.11.5-K77BWGzcnRu5cl8BC2Qru5
    async-2.2.5-IKGnBgxHhzZBAU5wJIOrS base-4.16.4.0 bytestring-0.11.4.0
    conduit-1.3.6-1BhOn1SDKnVBv1fBjDYtBV
    conduit-parse-0.2.1.1-8UXkgh3t8BF3rMavLrKbq2 containers-0.6.5.1
    data-default-0.7.1.1-9GBNV24Yu4s7ZWoH3HLxtI directory-1.3.6.2
    filepath-1.4.2.2 lens-5.2.3-GRs4U9On1e2FVZcK8uMpJU
    lsp-types-1.4.0.1-GcHyYpVAiYL8th3rJAiAjx mtl-2.2.2
    parser-combinators-1.3.0-G0J7GFw9FY9Cgw8HeD2oK5 process-1.6.16.0
    some-1.0.5-L5glA67mR8RJufLDsA2lRz text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.20-3Feu7z7nwlQLAsn5Kud3bc

haddock-interfaces:   /usr/share/doc/haskell-lsp-test0.14.0/html/lsp-test.haddock
haddock-html:         /usr/share/doc/haskell-lsp-test0.14.0/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

